@import "~breakpoint-sass/stylesheets/breakpoint";
@import "~susy/sass/susy";
@import "../../styles/breakpoints";
@import "~breakpoint-sass/stylesheets/breakpoint";
@import "../../styles/breakpoints";
@import "../../styles/colors";

.account-container {
  &--popup {
    width: 350px;
  }
}

.account-column {
  @include breakpoint($all-small) {
    padding: 13px 25px;
  }

  @include breakpoint($large-to-xl) {
    padding: 50px 25px;
  }

  @include breakpoint($extra-large) {
    padding: 50px;
  }

  @include breakpoint($large) {
    position: fixed;
    top: 0;
    width: 50%;
    height: 100%;
    overflow-y: auto;
  }

  &--left {
    left: 0;
    background-color: $color-deep-cerulean;
  }

  &--right {
    right: 0;
  }

  &__logo {
    fill: white;
    width: 120px;
    height: 48px;

    @include breakpoint($all-small) {
      width: 80px;
      height: 31px;
      margin: 0 auto;
    }
  }

  &__heading {
    color: $color-white;
    margin-top: 40px;
    font-style: bold;
    font-size: 48px;
    line-height: 55px;

    @include breakpoint($all-but-xl) {
      font-size: 36px;
      line-height: 46px;
    }

    @include breakpoint($all-small) {
      display: none;
    }
  }

  &__right-heading {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 40px;
    padding-top: 10px;

    @include breakpoint($all-small) {
      padding-top: 25px;
    }
  }

  &__text {
    color: $color-white;
    font-size: 20px;
    line-height: 31px;

    @include breakpoint($all-small) {
      display: none;
    }
  }

  &__link {
    text-align: right;
    line-height: 1.4;

    @include breakpoint($all-small) {
      font-size: 14px;
      padding-left: 10px;
    }
  }

  &__inner {
    max-width: 412px;
    margin: 0 auto;

    @include breakpoint($all-small) {
      max-width: 480px;
    }

    @include breakpoint($extra-large) {
      &--left {
        margin-right: 0;
      }

      &--right {
        margin-left: 0;
      }
    }
  }
}

label.import__toggle-preview.form-field__checkbox {
  display: flex;
  justify-content: space-between;
}

.register-form {
  &__paragraph {
    line-height: 1.4;

    &--small {
      font-size: 14px;
      color: $color-gothic;
    }
  }

  &__submit {
    margin-bottom: 40px;
  }

  &__change-server-cancel {
    float: right;
  }
}

.register-step {
  $transition-time: 0.2s;

  &__heading {
    transition: font-size $transition-time, color $transition-time,
      font-weight $transition-time, letter-spacing $transition-time;

    &--inactive {
      color: $color-tiara;
      font-size: 22px;
      font-weight: bold;
      line-height: 34px;
    }

    &--completed {
      color: $color-de-york;
      font-size: 18px;
      line-height: 28px;
      font-weight: bold;
    }

    &--verified {
      font-size: 18px;
      font-weight: bold;
    }
  }

  &__icon {
    fill: $color-de-york;
    height: 15px;
    opacity: 0;
    transition: opacity $transition-time;

    &--active {
      opacity: 1;
    }
  }

  &__verified-input {
    display: flex;

    @include breakpoint($all-small) {
      .form-field__input {
        width: calc(100% - 40px);
      }
    }
  }

  &__verified-content {
    height: 28px;
    padding: 0;
    border: 0;
    box-shadow: inset 0 0 0 0 transparent;
    color: $color-viridian-green;
    -webkit-text-fill-color: $color-viridian-green;
    opacity: 1;
    font-size: 20px;
    transition: padding $transition-time, border $transition-time,
      color $transition-time, box-shadow $transition-time;

    &--edit {
      margin-top: 4px;
      font-size: 14px;
      line-height: 21px;
      font-weight: bold;
      text-decoration: underline;
      color: $color-viridian-green;
    }
  }

  &__feedback {
    position: relative;
    margin: 10px 0 15px;
    font-size: 16px;
    line-height: 1.4;

    @include breakpoint($all-small) {
      font-size: 14px;
    }

    &--fixed-height {
      min-height: 48px;
    }

    &__element {
      position: absolute;
      top: 0;
      left: 0;
      opacity: 0;
      transition: opacity $transition-time;

      &--active {
        opacity: 1;
      }
    }

    &__static-element {
      margin: 10px 0;
    }
  }
  &__error-list {
    position: relative;
    margin-top: 0;
    margin-bottom: 10px;
    z-index: 1;
  }

  &__actions {
    position: relative;
    margin-top: 20px;
  }
}

.account {
  &__list {
    margin: 0;
    padding: 0;
    list-style: none;
  }

  &__list-item {
    margin: 20px 0;
    font-size: 20px;
  }

  &__item-heading {
    display: inline;
    margin: 0 0 3px;
    font-weight: 400;
  }

  &__icon-extension {
    position: relative;
    width: 32px;
    height: 32px;
    top: -3px;
    margin-right: 10px;
    float: left;
  }
}

.auth-form {
  min-width: 320px;
  margin-top: 50px;
  margin-bottom: 20px;

  &__subheading {
    margin: 0;
    font-size: 20px;
    line-height: 1.4;
  }

  &__form {
    margin: 50px 0;

    @include breakpoint($all-small) {
      margin: 25px 0;
    }
  }

  &__actions {
    position: relative;
  }

  &__note {
    margin-top: 25px;
    color: $color-thunder;
    line-height: 1.5;
  }
}
